Up

# NSImageView

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Jonathan Gapen (`jagapen@smithlab.chem.wisc.edu`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSImageView class

## NSImageView : NSControl

> Declared in:
>   AppKit/NSImageView.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -allowsCutCopyPaste
- -animates
- -image
- -imageAlignment
- -imageFrameStyle
- -imageScaling
- -isEditable
- -setAllowsCutCopyPaste:
- -setAnimates:
- -setEditable:
- -setImage:
- -setImageAlignment:
- -setImageFrameStyle:
- -setImageScaling:

### allowsCutCopyPaste

- (BOOL) allowsCutCopyPaste;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### animates

- (BOOL) animates;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### image

- (NSImage*) image;
Availability: OpenStep
Description forthcoming.

### imageAlignment

- (NSImageAlignment) imageAlignment;
Availability: OpenStep
Description forthcoming.

### imageFrameStyle

- (NSImageFrameStyle) imageFrameStyle;
Availability: OpenStep
Description forthcoming.

### imageScaling

- (NSImageScaling) imageScaling;
Availability: OpenStep
Description forthcoming.

### isEditable

- (BOOL) isEditable;
Availability: OpenStep
Description forthcoming.

### setAllowsCutCopyPaste:

- (void) setAllowsCutCopyPaste: (BOOL)flag;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setAnimates:

- (void) setAnimates: (BOOL)flag;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setEditable:

- (void) setEditable: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)image;
Availability: OpenStep
Description forthcoming.

### setImageAlignment:

- (void) setImageAlignment: (NSImageAlignment)align;
Availability: OpenStep
Description forthcoming.

### setImageFrameStyle:

- (void) setImageFrameStyle: (NSImageFrameStyle)style;
Availability: OpenStep
Description forthcoming.

### setImageScaling:

- (void) setImageScaling: (NSImageScaling)scaling;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSImageView Class

### _action

@protected SEL _action;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _allowsCutCopyPaste

@protected BOOL _allowsCutCopyPaste;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _target

@protected id _target;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up